Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class AfterPostException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.jbo.JboException
oracle.jbo.AfterPostException`

All Implemented Interfaces:
  JboMessage, MetaObjectBase, java.io.Serializable

public class AfterPostException
extends JboException

Indicates failure during the after-post phase of the transaction cycle.

When the user asks to post changes to database, the `Transaction` object walks through its `TransactionPostListener` (`oracle.jbo.server.TransactionPostListener`) list.

A `TransactionPostListener` may be "transient" or "persistent." A transient post listener is one which is added to the list until the changes are posted. After the changes are posted, it is removed from the post listener list. A persistent post listener is one which is kept on the list even after the changes are posted.

Entities (`oracle.jbo.server.EntityImpl` are transient post listener and View Objects (`oracle.jbo.server.ViewObjectImpl`) are persistent post listeners.

Among `TransactionPostListeners`, the `Transaction` object calls `postChanges()` each Entity to make it post changes to database.

Once this posting phase completes, `Transaction` walks through the `TransactionPostListener` list again performing after-post operation on each of them.

For Entity, this operation consists mainly of removing the Entity frmo the transaction post manager, which may be the `Transaction` object or the parent Entity if this Entity was a child object in a composition association.

For View Object, this operation consists mainly of closing result sets that are not used by any Row Sets.

While performing these after-post operations, error may be found and thrown by `TransactionPostListeners`. The `Transaction` object collects these objects in a list. After after-post processing completes for all `TransactionPostListeners`, `Transaction` checks to see if this list is empty. If not (some `TransactionPostListeners` threw exceptions), it creates an `AfterPostException` whose details (which may be retrieved by calling to `getExceptions()`) contain those exceptions thrown during the after-post processing.

Since:
  JDevloper 3.0
See Also:
  `JboException`, `JboException.getExceptions()`, `Transaction`, `TransactionPostListener`, Serialized Form

Field Summary

Fields inherited from class oracle.jbo.JboException
`mHasPeerException`

Fields inherited from interface oracle.jbo.common.MetaObjectBase
`TYP_APP_MODULE, TYP_ATTRIBUTE, TYP_ATTRIBUTE_LIST_WITH_DEF, TYP_COMPONENT_OBJECT, TYP_DEF_ANY, TYP_DEF_APP_MODULE, TYP_DEF_ATTRIBUTE, TYP_DEF_COMPONENT_OBJECT, TYP_DEF_DOMAIN, TYP_DEF_ENTITY_ASSOC, TYP_DEF_ENTITY_OBJECT, TYP_DEF_PACKAGE, TYP_DEF_VIEW_LINK, TYP_DEF_VIEW_OBJECT, TYP_DOMAIN, TYP_ENTITY_ASSOC, TYP_ENTITY_OBJECT, TYP_ENTITY_ROW, TYP_ENTITY_ROW_SET, TYP_ENTITY_ROW_SET_ITERATOR, TYP_ENTITY_USAGE, TYP_PACKAGE, TYP_TRANSACTION, TYP_VALIDATOR_TYPE, TYP_VARIABLE, TYP_VARIABLE_WHERE_CLAUSE, TYP_VIEW_CRITERIA, TYP_VIEW_LINK, TYP_VIEW_OBJECT, TYP_VIEW_ROW, TYP_VIEW_ROW_SET, TYP_VIEW_ROW_SET_ITERATOR`

Constructor Summary
`AfterPostException(java.lang.Exception[] exceptionList)` Creates an instance of `AfterPostException`.

Methods inherited from class oracle.jbo.JboException
`addToDetails, addToExceptions, containsException, doEntityToVOMapping, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getExceptions, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getSource, getTypeNameFromId, hasPeerExceptions, isAppendCodes, isLocalizable, needsEntityToVOMapping, printStackTrace, printStackTrace, printStackTrace, setAppendCodes, setApplicationModule, setDetails, setErrorParameters, setExceptions, setLocaleContext, setNeedsEntityToVOMapping, setSource`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AfterPostException

    public AfterPostException(java.lang.Exception[] exceptionList)

  Creates an instance of `AfterPostException`. This constructor uses `EXC_AFTER_POST` error message in `oracle.jbo.CSMessageBundle`.
Parameters:
  `exceptionList` - an Array of exception thrown by `TransactionPostListeners`. Exceptions from this array are added as "details" of this exception. Details may be retrieved by calling `getExceptions()`.
See Also:
  `JboException.getExceptions()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.